package com.cnbm.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cnbm.common.page.PageData;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.basic.dto.ProductTypeDTO;
import com.cnbm.basic.entity.ProductType;
import com.cnbm.basic.mapper.ProductTypeMapper;
import com.cnbm.basic.service.IProductTypeService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 产品类型 表
 *
 * @author why
 * @since 2022-06-30
 */
@Service
public class ProductTypeServiceImpl extends CrudServiceImpl<ProductTypeMapper, ProductType, ProductTypeDTO> implements IProductTypeService {


    @Autowired
    private ProductTypeMapper productTypeMapper;

    @Override
    public QueryWrapper<ProductType> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<ProductType> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }

    @Override
    public PageData<ProductTypeDTO> page (Map<String, Object> params){
        PageData<ProductTypeDTO> data = null;
        QueryWrapper<ProductTypeDTO> wrapper = new QueryWrapper<>();
        wrapper.eq("id",params.get("id"));
        IPage<ProductTypeDTO> page = productTypeMapper.page(new Page<>((Long) params.get("current"),(Long)params.get("size")), params);
        return data;
    }

}